Skip to main content

Exams

Exam List​

Use this API to list all upcoming, ongoing or past exams.

 GET /exam/{userId}/trainee-exam-list Try now

Path parameters​

FieldTypeDescription
userId
required
integerUser ID

Query string parameters​

FieldTypeDescription
type
required
integer
  1. 1 - upcoming/ongoing
  2. 2 - past exam list
  3. 3 - list all attempts of an exam
examIdintegerexamId is required when type = 3
qstringfilter data by title

For general error details, click here.

Exam Start​

Use this API to start an exam.

 GET /exam/{examId}/start Try now

Path parameters​

FieldTypeDescription
examId
required
integerExam ID

For general error details, click here.

Submit Exam Answers​

Use this API to submit answers, clear answers, flag questions.

 POST /exam/trainee-question-action Try now

Request body parameters​

FieldTypeDescription
type
required
integer
  1. 1 - insert
  2. 2 - update
  3. 3 - insert flag
  4. 4 - remove flag
  5. 5 - clear question
userExamActivityId
required
integerThe user exam activiy ID
questionId
required
integerThe question ID
answerOption
required
integerThe answer

For general error details, click here.

Interrupt Exam​

Use this API to capture browser minimize event.

 POST /exam/trainee-exam-interrupt Try now

Request body parameters​

FieldTypeDescription
type
required
integer
  1. 1 - browser event
userExamActivityId
required
integerThe user exam activiy ID

For general error details, click here.

Submit/End Exam​

Use this API to submit/end an exam.

 GET /exam/{userExamActivityId}/complete Try now

Path parameters​

FieldTypeDescription
userExamActivityId
required
integerThe userExamActivityId

Query string parameters​

FieldTypeDescription
submittedBy
required
integer
  1. 1 - Trainee
  2. 2 - Automatic - Time Lapsed
  3. 3 - Automatic - Browser Minimize Limit Reached
  4. 4 - Automatic - Face Not Detected Limit Reached

For general error details, click here.

View Exam Answer sheet​

Use this API to view exam answer sheet listing the questions and attempted answers.

 GET /exam/{userExamActivityId}/view-exam-paper Try now

Path parameters​

FieldTypeDescription
userExamActivityId
required
integerThe userExamActivityId

For general error details, click here.